Colon or [CRLF] in the subject line confuses bug opener of this bug at B.M.O

RESOLVED INVALID

Status

Thunderbird
Message Reader UI
RESOLVED INVALID
7 years ago
7 years ago

People

(Reporter: Kevin, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

7 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.9) Gecko/20100825 Thunderbird/3.1.3

After receiving an email with a colon in the subject line, e.g. Latest news: TB3 is the best", TB truncates the line at the colon and ignores the date (but not the time) in the following Date line in the header.

It does this in the 3 pane window which means I can't sort by date. Both the message preview and separate message window display the correct date but still truncate the subject line.

Reproducible: Always

Steps to Reproduce:
1. Send yourself an email with a colon in the subject line.
2.
3.
Actual Results:  
Look in the list of received messages and the subject line will be truncated at the colon and the date will be set to 01/01/2000.

Expected Results:  
TB should realise this isn't another header keyword, display the subject line in it's entirety and then go on to process the next line in the message header unadulterated.

I wonder if this is a security loophole but that's not my gripe - I want to be able to sort my messages by date and see the entire subject line.
I'm not seeing that. Can you try in safe-mode (http://support.mozillamessaging.com/en-US/kb/Safe+Mode) ?
(Reporter)

Comment 2

7 years ago
Thank you for responding. I use TB for loads of work emails so this bug is a problem for me.

I'm using Portable Thunderbird so used the command line:
ThunderbirdPortable>ThunderbirdPortable.exe -safe-mode

Tools | Add-ons confirmed I was in safe mode.
No change to results!

Example message header is:
Subject: Latest UK Press Release: End of the world is nigh 
Date: 09 Oct 2009  15:20:00

Message list shows:
Latest UK Press Release:      01/01/2000 12:00

I thought the time was being correctly interpreted but from the above test it looks like both the date and time are being skipped. 1/1/2000 is presumably the default when no Date line is found in the header.

Hope you can help.
Ha but the portable people modify our software so the issue might come from there.

Could you go to http://portableapps.com/support and start a thread there, as the issue is clearly not visible on standard Thunderbird.
(Reporter)

Comment 4

7 years ago
Thanks for your reply. I got a reply from the portableapps guys and they say they do not modify the upstream app at all.

They couldn't reproduce either so I looked at my mail folder with a hex viewer. It's not the colon that's causing the problem...

It would appear our marketing department are sending emails with CR and LF in the subject line immediately after the colon!!!

I would have thought that was against the email header rules??? Lotus Notes obviously thinks it's ok to allow it!

Is this legal and could TB be amended to cope with it?
(In reply to comment #4)
 
> It would appear our marketing department are sending emails with CR and LF in
> the subject line immediately after the colon!!!
> 
> I would have thought that was against the email header rules??? Lotus Notes
> obviously thinks it's ok to allow it!
> 
> Is this legal and could TB be amended to cope with it?
Nikolay ?
> Bug summary: Colon in the subject line confuses TB

Real problem of this *bug* report at B.M.O sounds "Colon in the subject line confused bug opener upon bug open of this bug at B.M.O by bug opener"...

Kevin(bug opener of this *bug* at B.M.O):
Could you please attach(never paste) mail data(saved as .eml) which consistently produces problem you reported in comment #0 of this bug?

> Date: 09 Oct 2009  15:20:00

If the Date: header data is real data in a mail, it's malformed, because multiple spaces are put between 2009 and 15:20:00. AFAIR, Tb shows Epoc Time(1970/1/1 00:00 +0000) in local time or current local time as Date column value at thread pane when malformed Date: header.
If "01/01/2000 12:00" is shown at Date column of thred pane, it may be different issue of "Tb's wrong interpretation of wrong '2009  15:20:00' in Date: header with excess spaces between fields of Date: header".
Please attach mail data to this bug, and attach screen shot of "01/01/2000 12:00" at thread pane by the mail.
(Reporter)

Comment 7

7 years ago
Created attachment 477512 [details]
Example problem EML

Demonstrates CR LF in middle of subject title
(Reporter)

Comment 8

7 years ago
Created attachment 477515 [details]
Screenshot of result

Screenshot of truncated subject line, and default date.
(Reporter)

Comment 9

7 years ago
So this thread should now be called "CR/LF in middle of subject line confuses TB". I opened the EML file in Outlook Express and it also truncated the subject line but did pick up the correct date.

Even if Lotus Notes is not complying with email header rules it would be good if TB could handle this.

Many thanks.
(In reply to comment #9)
> So this thread should now be called "CR/LF in middle of subject line confuses TB".

Mail data you attached. ([CRLF]==0x0D0A, [Space]==0x20)
> Subject: Lastest[CRLF]
> News[CRLF]
> Date: 22 Sep 2010  11:03:14[CRLF]
Real problem of this bug is now: 
  CR/LF in middle of subject line confused you==bug opener.
If [CRLF] in "Subject: Lastest[CRLF]" is for folder folding, next line should be "[Space]News[CRLF]".
=> INVALID.

For "01/01/2000 12:00" at thread pane when malformed "Date: 22 Sep 2010  11:03:14[CRLF]", open separate bug please, because rule of B.M.O is "one problem per a bug", if you believe it's very important bug of Tb which should be resolved/fixed.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INVALID
Summary: Colon in the subject line confuses TB → Colon or [CRLF] in the subject line confuses bug opener of this bug at B.M.O
For Date column display, Tb 3.1.4 on Japanese MS Win-XP(JST = GMT + 0900).
> Subject: Lastest[CRLF]
> News[CRLF]
> Date: 22 Sep 2010  11:03:14[CRLF]
=> 1970/01/01 09:00
> Subject: Lastest News[CRLF]
> Date: 22 Sep 2010  11:03:14[CRLF]
=> 2010/09/22 11:03
> Subject: Lastest[CRLF]
> News:[CRLF]
> Date: 22 Sep 2010  11:03:14[CRLF]
=> 2010/09/22 11:03
Number of spaces between 2010 and 11:03:14 seems variable.

Problem looks:
 If a mail header line doesn't have required ":", Tb fails to ignore the
 corrupted header line only, and subsequent correct mail header is lost.
IIRC, it's already reported problem.

"01/01/2000 12:00" in your environment may be produced by add-on when no Date: header, because 1970/01/01(Epoc Time) is not friendly for user.

Following lines are also seen in your mail source. Lotus Notes has such stupid bug? I believe server side bug should be resolved first.
> X-Notes-Item: Lastest[CRLF]
> News; name=TmpDisplaySubject_1[CRLF]
> X-Notes-Item: Lastest[CRLF]
> News; name=WebSubject[CRLF]
> X-Notes-Item: Lastest[CRLF]
> News; name=SUBJECT[CRLF]
You need to log in before you can comment on or make changes to this bug.